# SDK Setup

#### Package Installation

<pre><code><strong>yarn add 'react-native-accurascan-micr'
</strong>OR
npm i react-native-accurascan-micr
</code></pre>

```
Usage Import npm library into file. 

import AccurascanMICR from 'react-native-accurascan-micr';
```

***

### Setup Android

**Add it in your root build.gradle at the end of repositories.**

```
allprojects {
   repositories {
       google()
       jcenter()
       maven {
           url 'https://jitpack.io'
           credentials { username 'jp_ssguccab6c5ge2l4jitaj92ek2' }
       }
    }
}
```

**Add it in your app/build.gradle file.**

```
packagingOptions {
   pickFirst 'lib/arm64-v8a/libcrypto.so'
   pickFirst 'lib/arm64-v8a/libssl.so'

   pickFirst 'lib/armeabi-v7a/libcrypto.so'
   pickFirst 'lib/armeabi-v7a/libssl.so'

   pickFirst 'lib/x86/libcrypto.so'
   pickFirst 'lib/x86/libssl.so'

   pickFirst 'lib/x86_64/libcrypto.so'
   pickFirst 'lib/x86_64/libssl.so'

}
splits {
  abi {
    ...
    reset()
    include 'armeabi-v7a', 'arm64-v8a', 'x86', 'x86_64'
  }
}
```

***

### Setup iOS

1.Install Git LFS using command install `git-lfs`

2.Add the following in your podfile `use_frameworks!` below `prepare_react_native_project!`

take reference from [here](https://github.com/Anaslokhandwala/Accurascan_KYC/blob/master/ios/Podfile)

3.Run `pod install`

**Add this permissions into iOS Info.plist file.**

```
<key>NSCameraUsageDescription</key>
<string>App usage camera for scan documents.</string>
```

***

### Setup Accura Scan licenses into your projects

{% hint style="info" %}
Accura Scan has two license require for use full functionality of this library. Generate your own Accura license from here using your bundle id.\
key.license\
This license is compulsory for this library to work. it will get all setup of accura SDK.
{% endhint %}

**For Android**

```
Create "assets" folder under app/src/main and Add license file in to assets folder.
- key.license // for Accura Scan MICR
```

**For iOS**

```
Place the license in your project's Runner directory, and add the licenses to the target.
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.accurascan.com/solutions/micr-cheque-scanner/react-native/sdk-setup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
